<header>
  <app-navbar (Textout)="textsearchChangedHandler($event)" [Textbox]="Textbox"></app-navbar>
</header>
<body>
<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title">Add Product</h4>
    <button (click)="modal.dismiss('Cross click')" aria-label="Close" class="close" type="button">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="productForm">
      <table class="table">
        <tr>
          <td>Title</td>
          <td><input class="text-dark" formControlName="title" type="text"></td>
        </tr>
        <tr>
          <td>Description</td>
          <td><input formControlName="description" type="text"></td>
        </tr>
        <tr>
          <td>Category</td>
          <td>
            <select formControlName="category">
              <option *ngFor="let c of categories" value="{{c.id}}">{{c.title}}</option>

            </select>
          </td>
        </tr>

      </table>
    </form>
  </div>
  <div class="modal-footer">
    <button (click)="modal.close('Close click');addProduct()" class="btn btn-primary" type="button">Add Product</button>
    <button (click)="modal.close('Close click');clearinputs()" class="btn btn-danger" type="button">Close</button>
  </div>
</ng-template>


<ng-template #contentmodif let-modalmodif>
  <div class="modal-header">
    <h4 class="modal-title">Update Product</h4>
    <button (click)="modalmodif.dismiss('Cross click');clearinputs()" aria-label="Close" class="close" type="button">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="productForm">
      <table class="table">
        <tr>
          <td>Title</td>
          <td><input class="text-dark" formControlName="title" type="text"></td>
        </tr>
        <tr>
          <td>Description</td>
          <td><input formControlName="description" type="text"></td>
        </tr>
        <tr>
          <td>Category</td>
          <td>
            <select formControlName="category">
              <option *ngFor="let c of categories" value="{{c.id}}">{{c.title}}</option>

            </select>
          </td>
        </tr>

      </table>
    </form>
  </div>
  <div class="modal-footer">
    <button (click)="modalmodif.close('Close click');updateProduct()" class="btn btn-primary" type="button">Update
    </button>
    <button (click)="modalmodif.close('Close click');clearinputs()" class="btn btn-danger" type="button">Close</button>
  </div>
</ng-template>

<div class="container-fluid">
  <div class="row">
    <div class="col-sm-2  light-blue-backdrop">
      <div   style="margin-top: 20px" >
        <div class="container">
          <p class="text-white">Filter By categories</p>
          <div *ngFor="let c of categories;let index = index">
          <input type="checkbox" name="{{c.title}}" value="{{c}}" (change)="catCheck(c,index)"  > {{c.title}}
          </div>
        </div>

      </div>
    </div>
    <div class="col-sm-10">
      <br>
      <div class="card ">
        <div class="card-header bg-info ">
          <h6 style="color: white">All Products</h6>
          <button (click)="openVerticallyCentered(content)" class="float-md-right  btn btn-primary mb-2 mr-2">Add
            Product
          </button>
        </div>
        <div class="d-flex flex-wrap  ">
        <div  *ngFor="let p of products" class="imageContainer"  >
          <img class=" card-img-top"  src="../../assets/img/product.png" alt="Card image">
          <div class="card-body">
            <h4 class="card-title">title : {{p.title}}</h4>
            <p class="card-text">{{p.description}}</p>
            <button (click)="deleteProduct(p.id)" class="btn btn-primary mb-2 mr-2">Delete</button>
            <button (click)="openVerticallyCenteredModif(contentmodif);itemmodif(p.id)"
                    class="btn btn-primary mb-2 mr-2">Update</button>
          </div>
        </div>
        </div>
        <table class="table table-bordered">
          <th>TITLE</th>
          <th>Description</th>
          <th>Action</th>
          <tr *ngFor="let p of products ">
            <td>{{p.title}}</td>
            <td>{{p.description}}</td>

            <td>
              <button (click)="deleteProduct(p.id)" class="btn btn-primary mb-2 mr-2">Delete</button>
              <button (click)="openVerticallyCenteredModif(contentmodif);itemmodif(p.id)"
                      class="btn btn-primary mb-2 mr-2">Update
              </button>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</div>


</body>

<style>
  .sidenav {
    height: 100%;
    width: 100%;
    background-color: #19d8f0;

    padding-top: 20px;
  }

  html,body,.container {
    height:100%;
  }
  .container {
    display:table;
    width: 100%;

    box-sizing: border-box;
  }


  .row .no-float {
    display: table-cell;
    float: none;
  }
  .sidenav a:hover {
    color: #f1f1f1;
  }





  .imageContainer {
    flex: 0 0 19.6%;
    border:  solid ;
    margin-right: 3px;
    margin-bottom: 15px ;
  }
  .imageContainer:empty {
    height: 0;
    border: none;
  }
</style>
